Algorithm: Extrapolate Over Unseen Population
===

In estimating the total misstatement in the population, the auditor is faced with both known and unknown portions of the population misstatement. The known misstatement can be divided into two sources: misstatements in critical transactions and misstatements in sample transactions. By using the "Extrapolate over unseen" algorithm, the auditor can extrapolate the uncertainty from the sample to the unseen part of the population alone, which will result in an increase in certainty and a smaller sample size.

However, this technique requires the assumption that the population misstatements are homogeneously distributed. The auditor must verify this assumption through a post-hoc check that tests the correlation between the size of the misstatements and the value of the items in the sample. If the correlation is present, the technique cannot be reliably used and a different method of evaluation should be employed.