Incorporating Audit Information into the Prior Distribution
===

You can incorporate existing information from various sources into the statistical sampling procedure. Possible options are:

- **Default:** This option does not incorporate any information into the statistical analysis and therefore assumes a negligible and conservative prior distribution.

- **Parameters:** Using this option you can manually set the parameters of the prior distribution.

- **Earlier sample:** This option incorporates the information from an earlier sample in the statistical analysis. 

- **Impartial:** This option can only be selected when testing against a performance materiality. When selected, it incorporates the information that tolerable misstatement is equally likely to occur a priori as intolerable misstatement. The prior distribution resulting from this method has 50\% of its probability mass below the performance materiality and 50\% of its probability mass above the performance materiality.

- **Risk assessments:** This option can only be selected when testing against a performance materiality. When selected, it incorporates the information from the assessed risks of material misstatement (inherent risk, control risk and analytical risk) from the audit risk model into the statistical analysis. They are mapped to probabilities according to standards, but can also be mapped according to custom preferences. See the help file in the classical analyses for the default percentages used in the model.
