Sampling Units: Items
===

Sampling from the population requires knowledge of the sampling units; physical representations of the population that need to be audited. Sampling units can be individual <i>transactions</i> or <i>monetary units</i>. For statistical sampling, sampling probabilities are assignned to the sampling units of the population elements. The total collection of all sampling units with an assigned selection probability is named the sampling frame.

-------

Record sampling
==========================

### Procedure

The sampling frame for record sampling is the total collection of individual population entries. A sampling unit for record sampling is an individual population entry or transaction, like 1 transaction within a population of 1000 transactions. In this case, the population entry that is selected is included in the sample. For example, if the population entry for a receipt of coffee milk is selected the coffee receipt is audited and its audit (true) value, or complete correctness, is determined for evaluation. 

### Implications for selection

The implication of a record sampling scheme is that transactions are selected with an equal probability, since each transaction is an individual sampling unit. It is therefore the preferred selection type for non-monetary populations and populations where there are booked transactions with a value of $0. Record sampling in a non-monetary population is often followed up with a binary evaluation method, while in monetary populations it is often followed up with an direct/difference/ratio/regression estimator.

### Pitfalls

Be aware that record sampling in monetary populations assigns equal probabilities to each transaction, implying that the sampling procedure may result in a final selection that only covers a small proportion of the population value.