Wet van Benford
===

De wet van Benford stelt dat de verdeling van leidende cijfers in een populatie van nature een bepaalde verdeling volgt. Bij audits kan de beoordeling of een verdeling van cijfers in de populatie overeenkomt met de wet van Benford extra bewijs opleveren dat de transacties in de populatie nader onderzoek behoeven.

*Noot:* Niet-conformiteit met de wet van Benford wijst niet noodzakelijkerwijs op fraude. Een analyse van de wet van Benford kan daarom alleen worden gebruikt om inzicht te krijgen of een populatie nader moet worden onderzocht.

### Input
---

#### Toewijzingsvak
- Variabele: In dit vak wordt de variabele geselecteerd waarvan de cijfers moeten worden getoetst aan de referentieverdeling. De waarde nul (0) wordt uit de gegevens weggelaten.

#### Referentie
- De wet van Benford: Toets de cijfers aan de wet van Benford.
- Uniforme verdeling: Toets de cijfers aan de uniforme verdeling.

#### Cijfers
- Eerste: Toetst alleen het eerste cijfer van de items aan de opgegeven verdeling.
- Eerste en tweede: toetst het eerste en tweede cijfer van de items aan de opgegeven verdeling.
- Laatste: controleert alleen het laatste cijfer van de items aan de hand van de opgegeven verdeling.

#### Bayes Factor
- BF10 : Bayes factor om het bewijs voor de alternatieve hypothese ten opzichte van de nulhypothese te kwantificeren.
- BF01 : Bayes factor om het bewijs voor de nulhypothese ten opzichte van de alternatieve hypothese te kwantificeren.
- Log(BF10) : Natuurlijke logaritme van BF10.

#### Weergave
- Toelichtende tekst: Indien aangevinkt, wordt in de analyse verklarende tekst weergegeven om de procedure en de statistische resultaten te helpen interpreteren.
  - Betrouwbaarheid: Het betrouwbaarheidsniveau dat in de verklarende tekst wordt gebruikt.

#### Rapport
- Tabellen
  - Frequentietabel: Toont een tabel met de waargenomen frequenties van de gevraagde cijfers in de gegevens naast hun verwachte frequenties onder de referentieverdeling.
  - Overeenkomende rijen: Toont een tabel met de rijen in de gegevens waarvan de gevraagde cijfers overeenkomen met het cijfer in <i>Cijfer</i>.
    - Cijfer: Te matchen cijfer(s).

- Figuren
  - Geobserveerd vs. verwacht: Produceert een plot die de waargenomen verdeling van cijfers in de populatie vergelijkt met de verwachte verdeling onder de wet van Benford of de uniforme verdeling.  
  - Bayes factor robuustheid check: Produceert een figuur die de robuustheid van de Bayes factor ten opzichte van de prior-verdeling laat zien.
  - Sequentiële analyse: Produceert een figuur die de Bayes factor toont als functie van de steekproefgrootte.

### Uitvoer
---

#### Goodness-of-fit tabel
- n: Het totale aantal waarnemingen in de gegevensverzameling.
- X<sup>2</sup>: De waarde van de Chi-kwadraat teststatistiek.
- df: Vrijheidsgraden verbonden aan de Chi-kwadraattest.
- p: De *p* waarde behorende bij de Chi-kwadraat toets.
- BF: De Bayes factor die voortvloeit uit een niet-informatieve prior.

#### Frequentietabel
- Leidend cijfer: Het cijfer waarvoor de informatie in de rij geldt.
- Aantal: De waargenomen tellingen van de cijfers.
- Relatieve frequentie: De waargenomen relatieve frequentie van de cijfers.
- Wet van Benford / Uniforme verdeling: De verwachte relatieve frequentie van de cijfers.

#### Plots
- Geobserveerd vs. verwacht: Een plot die de waargenomen verdeling van de cijfers in de populatie toont in vergelijking met de verwachte verdeling volgens de wet van Benford of de uniforme verdeling.

### Referenties
---
- Derks, K. (2023). jfa: Statistical methods for auditing. R-pakket versie 0.7.0.

### R-pakketten
---
- jfa